# rndbuffersize

This element pulls buffers with random sizes from the source.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──rndbuffersize

## Factory details

Authors: – Stefan Kost

Classification: – `Testing`

Rank – none

Plugin – debug

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### max

    “max” gint

maximum buffer size

Flags : Read / Write / Construct

Default value : 8192

### min

    “min” gint

minimum buffer size

Flags : Read / Write / Construct

Default value : 1

### seed

    “seed” guint

seed for randomness (initialized when going from READY to PAUSED)

Flags : Read / Write / Construct

Default value : 0

The results of the search are